#include <iostream>
#include <cpr/cpr.h>

const std::string req = R"RQ({
  "jsonrpc": "2.0",
  "id": "1",
  "method": "insertData",
  "params": {
    "apiKey": "JUJIQNFVRHGVMNHYCYRZ6HBO4",
    "secretKey": "B0AMCI2YWT1H83X8I3H7U1O5H",
    "objectTableId": 1,
    "objectId": 16,
    "ignoreDuplicit": true,
    "data": [{
      "time": "2023-04-21 10:00:00",
      "temperature": 5.2,
      "quality": 100
    }]
  }
})RQ";

int main(int argc, char** argv) {

    auto r = cpr::Post(cpr::Url{ "https://kiv-bss.iotdata.zcu.cz/api/v0/bss_measurement" },
        cpr::Body{ req },
        cpr::Header{ {"Content-Type", "application/json"} });

    std::cout << "Status = " << r.status_code << std::endl;
    std::cout << "Body = " << r.text << std::endl;

	return 0;
}
